#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	iceauth
Version		:	1.0.8
Release		:	14.4.0.0%{?dist}
Summary		:	X.Org X11 X authority utilities
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
The iceauth program is used to edit and display the authorization
information used in connecting with ICE.   It operates very much
like the xauth program for X11 connection authentication records.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%files			
%defattr(-,root,root,-)

%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
